Skip to main content
POST
Get EOD Yahoo Style Data

Request contract

  • Method and path: POST /apis/v1/eodhd/apis-get-eod-yahoo-style
  • Availability: enabled
  • Request URL template: https://api.aisa.one/apis/v1/eodhd/apis-get-eod-yahoo-style
  • Runtime facts: 477375ac04cef4c9a26fb7f3e3fe5c882846fe5178ba5e55922865c978a934b3
Complete OpenAPI definition Effective request and pricing declaration (including authentication and referenced schemas):

Cost and request rules

Usage-based billing; Default request estimate: $0.00033 USD (not a fixed price). Declared unit rate: $0.000001 USD per provider_credit. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.
  • Default request reference estimate (USD): 0.00033
  • Declared unit rate (USD): 1e-06
  • Billing unit: provider_credit
  • Cost contract: response_units
  • Published reference multiplier: 1.0
  • Declared maximum count/units: 10000000
  • Settlement evidence source: response_body

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
a
string
required

Start month in Yahoo Finance format (0-11, where 0=January, 11=December). For example, use '00' for January, '05' for June, '11' for December.

Examples:

"00"

"05"

"11"

b
string
required

Start day of month (01-31). Use two-digit format with leading zero if needed (e.g., '01', '05', '15', '31').

Examples:

"01"

"05"

"15"

"31"

c
string
required

Start year in YYYY format (e.g., '2017', '2020', '2024').

Examples:

"2017"

"2020"

"2024"

d
string
required

End month in Yahoo Finance format (0-11, where 0=January, 11=December). For example, use '00' for January, '05' for June, '11' for December.

Examples:

"00"

"05"

"11"

e
string
required

End day of month (01-31). Use two-digit format with leading zero if needed (e.g., '01', '05', '15', '31').

Examples:

"01"

"05"

"15"

"31"

f
string
required

End year in YYYY format (e.g., '2017', '2020', '2024').

Examples:

"2017"

"2020"

"2024"

g
enum<string>
required

Data period/frequency. 'd' for daily (default), 'w' for weekly, 'm' for monthly. Weekly data shows data for Fridays; monthly data shows end-of-month values.

Available options:
d,
w,
m
s
string
required

Stock symbol with exchange suffix in format 'TICKER.EXCHANGE' (e.g., 'MCD.US' for McDonald's on US exchanges, 'AAPL.US' for Apple, 'BP.LSE' for BP on London Stock Exchange).

Examples:

"MCD.US"

"AAPL.US"

"TSLA.US"

"BP.LSE"

fmt
enum<string>
required

Output format for the response. Note: The Yahoo Finance style endpoint only supports CSV format internally. This parameter is kept for API compatibility but is not sent to the server. The action will always parse CSV and return JSON.

Available options:
json

Response

Tool result data

low
number
required
date
string
required
high
number
required
open
number
required
close
number
required
volume
integer
required
adjusted_close
number
required